<template>
	<scroll-view 
		:scroll-y="true"
		@scroll="scrollHandler"
		@scrolltoupper="scrollTopHandler"
		@scrolltolower="lower"
		style="height: 100vh;">
		
		<view class="teacherDetails">
			<view
			  class="headStatus"
			  v-if="scrollTop > 50 "
			  :style="[
			    headStyle,
			    {
			      zIndex: scrollTop < 10 ? 'unset' : 2,
			      opacity: scrollTop < 10 ? '100' : scrollTop,
				  background:'#FFF'
			    },
			  ]"
			>
			  <view class="arrow" @click="goback">
			    <u-icon name="arrow-left" size="48" color="#000"></u-icon>
			  </view>
			  <view class="title" style="color: #000000;" v-if="scrollTop > 50">{{pageTitle}}</view>
			  <view class="arrow"></view>
			</view>
			<view class="course-top">
				<view class="teacherbox">
					<u-avatar :src="teacher.teacherResult.TeacherLogo" size="140"></u-avatar>
					<view class="teacherbox-r">
						<text style="font-size: 16px;color: #121212;font-weight: bold;">{{teacher.teacherResult.Name}}</text>
						<text style="font-size: 12px;color: #999999;margin: 10px 0;">{{teacher.teacherResult.Major}}</text>
						<view class="teacherbox-b">
							<view class="teacher-b-item" :style="{background:mc}" v-for="(x, i) in teacher.teacherResult.LableNameList" :key="ci">
								{{x}}
							</view>
						</view>
					</view>
				</view>
			</view>
			<view class="course-ti">
				<view class="course-ti-c">
					<view class="course-ti-cont">
						<text style="font-weight: bold;">{{teacher.teacherResult.WorkYears}}</text>
						<text class="huixin">教龄</text>
					</view>
					<view class="course-ti-cont">
						<text style="font-weight: bold;">{{teacher.teacherResult.FollowteacherNum}}</text>
						<text class="huixin">粉丝</text>
					</view>
					<view class="course-ti-cont2" :style="{background:mc}" @click="setFollowTeacher()">
						<u-icon name="plus" size='30' color="#FFF" v-if="teacher.teacherResult.Followteacher==0"></u-icon>
						<text style="margin-left: 5px;" v-if="teacher.teacherResult.Followteacher==0">关注</text>
						<text style="margin-left: 5px;" v-if="teacher.teacherResult.Followteacher>0">已关注</text>
					</view>
				</view>
			</view>
			<view class="kecheng">
				<view class="tiaoti">
					<view class="tiaoti-l"></view>
					<text style="font-size: 16px;color: #1B1D1E;margin-left: 5px;">教师简介</text>
				</view>
				<view style="padding: 10px;">
				  
				  <h-parse :content="teacher.teacherResult.Introduction" @navigate="clickDescription"></h-parse>
				</view>
				<view class="tiaoti" style="justify-content: space-between;">
					<view style="display: flex;flex-direction: row;align-items: center;">
						<view class="tiaoti-l"></view>
						<text style="font-size: 16px;color: #1B1D1E;margin-left: 5px;">老师动态</text>
					</view>
					<view style="margin-right: 12px;color: #666666;font-weight: 100;" @click="seeMore" v-if="teacher.teacherResult.DynamicStatus!=2">
						查看更多
					</view>
					
				</view>
				<u-empty text="暂无动态" v-if='teacher.teacherResult.DynamicList.length==0 && teacher.teacherResult.DynamicStatus!=4' font-size="36" mode="list" ></u-empty>
				<view style="100%;height: 50px;display: flex;align-items: center;justify-content: center;" v-if='teacher.teacherResult.DynamicList.length==0 && teacher.teacherResult.DynamicStatus==4'>
					<view style="width: 90px;height: 28px;background: #40766E;font-size: 12px;color: #FFFFFF;border-radius: 12px;display: flex;align-items: center;justify-content: center;" @click="setFollowTeacher(2)">
						关注查看更多
					</view>
				</view>
				<view class="ftBox" v-for="(x, i) in teacher.teacherResult.DynamicList" :key="i" @click="godetails(x,i)">
					<view class="jiazu" v-if="x.YearTime!=''">{{x.YearTime}}年</view>
					<view class="interDList">
						<view class="interDList-left">
							<text class="jiazu">{{x.DayTime}}</text>
							<text style="font-size: 14px;color: #333333;margin-left: 5px;">{{x.MonthTime}}月</text>
						</view>
						<view class="interDList-right">
							<view class="inter-r-o" v-if="x.fileType==0">
								{{x.content}}
							</view>
							<view class="inter-r-t wrap" v-if="x.fileType==1"  >
								<view class="inter-r-t-l" @click.stop="previewImage(0,x.files)">
									<image :src="x.files[0]" v-if="x.files.length==1" mode='aspectFill' style="width: 100%;height: 100%;"></image>
									<view v-if="x.files.length==2" v-for="(item, iq) in x.files" :key="iq" :style="{'margin-right':(iq%2 ==0)?'2px':'0',width:'34px','height':'100%'}">
										<image :src="item" mode='aspectFill' style="width: 100%;height: 100%;"></image>
									</view>
									<view style="width: 100%;height: 100%;display: flex;flex-direction: row;" v-if="x.files.length==3">
										<image :src="x.files[0]" mode='aspectFill' style="width: 34px;height: 100%;margin-right: 2px;"></image>
										<view style="width: 34px;height: 100%;display: flex;flex-direction: column;justify-content: space-between;">
											<view v-if="iq!=0" v-for="(item, iq) in x.files" :key="iq" style="width: 34px;height: 34px;">
												<image :src="item" mode='aspectFill' style="width: 100%;height: 100%;"></image>
											</view>
										</view>
									</view>
				
									<view v-if="x.files.length>3" v-for="(item, iq) in x.files" :key="iq" :style="{'margin-right':(iq%2 ==0)?'2px':'0',width:'34px','height':'34px','margin-bottom':(iq==0||iq==1)?'2px':'0'}">
										<image :src="item" mode='aspectFill' style="width: 100%;height: 100%;"></image>
									</view>
								</view>
								<view class="inter-r-t-r">
									<view class="inter-r-t-text">
										{{x.content}}
									</view>
									<text style="font-size: 11px;color: #BEBEBE;">共{{x.files.length}}张</text>
								</view>
							</view>
							<view class="inter-r-t" v-if="x.fileType==2">
								<view class="inter-r-t-l" style="position: relative;">
									<video :id="'myVideo'+i" :src="x.files[0]" style="width: 70px;height: 70px;" 
									:controls='controls'
									:show-center-play-btn='false'
									:show-fullscreen-btn='false' 
									@fullscreenchange='videoControl'></video>
									<view style="width: 100%;height: 100%;position: absolute;left: 0;top: 0;display: flex;align-items: center;justify-content: center;"
									 @click.stop="enlarge(x.files[0],i)">
										<u-icon name="play-circle-o" :size="50" color="#FFF"></u-icon>
									</view>
								</view>
								<view class="inter-r-t-r">
									<view class="inter-r-t-text">
										{{x.content}}
									</view>
								</view>
							</view>
							<view class="inter-r-o" v-if="x.fileType==3">
								<view>
									{{x.content}}
								</view>
								<view class="andiostyle" @click.stop="playVoice(x,i)">
									<image v-if="x.playshow==false" src="https://viitto-1301420277.cos.ap-chengdu.myqcloud.com/Static/Sound.png" mode="widthFix" style="width: 19px;height: auto;"></image>
									<image v-if="x.playshow==true" src="https://viitto-1301420277.cos.ap-chengdu.myqcloud.com/Static/bofanggif.gif" mode="widthFix" style="width: 19px;height: auto;"></image>
								</view>
				
							</view>
						</view>
					</view>
				</view>
				<view class="tiaoti">
					<view class="tiaoti-l"></view>
					<text style="font-size: 16px;color: #1B1D1E;margin-left: 5px;">擅长课程</text>
				</view>
				<view style="width: 100%;padding:8px 15px;" class="teacherbox-b">
					<view class="teacher-b-item2" :style="{background:mc,}" v-for="(x, i) in teacher.teacherResult.GoodCourseList" :key="ci" v-if="teacher.teacherResult.GoodCourseList.length>0">
						{{x}}
					</view>
					<!-- <u-empty text="暂无课程"  font-size="36" mode="list" ></u-empty> -->
					<view v-if='teacher.teacherResult.GoodCourseList.length==0' style="width: 100%;height: 50px;display: flex;align-items: center;justify-content: center;color:#c0c4cc ;">
						暂无擅长课程
					</view>
				</view>
				<view class="tiaoti">
					<view class="tiaoti-l"></view>
					<text style="font-size: 16px;color: #1B1D1E;margin-left: 5px;">录播课程</text>
				</view>
				<view class="good" v-for="(cx, ci) in g" :key="ci" @click="clickHandler(cx)" v-if="g.length>0">
						  <view class="good-img">
							<image mode="aspectFill" :src="cx.CoverImage" style="width: 100%; height: 100%;border-radius: 4px;" ></image>
						  </view>
						  <view class="good-r" :style="{'width': (windowWidth -15 - 125 -26)+'px'}">
							  <view class="good-name">
								{{ cx.Name }}
							  </view>
							  <view class="good-r-b">
								  <text>本教程共分{{cx.CourseNum}}个章节</text>
							  </view>
						  </view>
				</view>
				<u-empty text="暂无课程" v-if='g.length==0' font-size="36" mode="list" ></u-empty>
				<u-loadmore  :status="status" :load-text="loadText" :font-size="24" :margin-top="20"
				 :margin-bottom="20" bg-color="#FFF" v-if="g.length>0"/>
			</view>
			<view class="goback" @click="goback" :style="{'padding-top':paddingHTop}">
				<u-icon name="arrow-left" size="48" color="#121212"></u-icon>
			</view>
			<auth v-if="showAuth" @changeuserinfo="reloadUserinfo" @gbAuth= 'gob'></auth>
		</view>
		<u-modal v-model="showdelete" content="是否关注查看更多？" :show-cancel-button='true'	 @cancel='gourlfriend' @confirm='setFollowTeacher(1)'></u-modal>
		<coupon v-if="showCoupons" :coupon-message="couponMessage" :cform="ComeFrom" @goLook="goLook" @closeBtn="closeBtn"></coupon>
	</scroll-view>
</template>

<script>
	const innerAudioContext = uni.createInnerAudioContext();
	import hParse from "@/components/u-parse/parse.vue";
	import auth from "../../components/auth/index.vue";
	import coupon from "@/components/coupons/coupons";
	export default {
		data(){
			return{
				mc:'',
				pricecolor:'',
				secondary:'',
				paddingHTop:0,
				id:0,
				teacher:{},
				windowWidth:0,
				scrollTop:0,
				headStyle:{},
				pageTitle:'教师详情',
				UserId:0,
				u:{},
				showAuth:false,
				msg:{
					pageIndex: 1,
					pageSize: 10,
					TeacherId: 0,
				},
				
				page_count: 1,
				g: [],
				status: "loadmore",
				loadText: {
					loadmore: "轻轻上拉，加载更多",
					loading: "努力加载中",
					nomore: "没有更多课程了",
				},
				playshow:false,
				controls:false,//显示默认控件
				nowbofo: false,
				
				playindex:0,
				showdelete:false,
				showCoupons: false,
				couponMessage: "",
			}
		},
		components: {
		  hParse,
		  auth,
		  coupon
		},
		onUnload(){
			innerAudioContext.stop();
		},
		onLoad(options) {
			console.log(options,'options')
			if(options && options.ID){
				this.id = options.ID;
				this.msg.TeacherId = options.ID;
				
				this.getTeacher()//根据老师id获取老师详情
				this.init()//根据老师id获取老师的课程列表
			}
		},
		onShareTimeline() {
			setTimeout(() => {
				// console.log("分享朋友圈调用");
				this.getReceive();
			}, 2500);
			let uid = uni.getStorageSync("mall_UserInfo") ?
				uni.getStorageSync("mall_UserInfo").UserId :
				0;
			if (uid == 0) {
				uid = uni.getStorageSync("pid") ? uni.getStorageSync("pid").pid : 0;
			}
			let SmallShopId = uni.getStorageSync("mall_UserInfo") ?
				uni.getStorageSync("mall_UserInfo").SmallShopId :
				0;
			if (SmallShopId == 0) {
				//如果微店id为0 去找所属微店id
				SmallShopId = uni.getStorageSync("mall_UserInfo") ?
					uni.getStorageSync("mall_UserInfo").UserSmallShopId :
					0;
			}
		
			let Up = uni.getStorageSync("mall_UserInfo") ? uni.getStorageSync("mall_UserInfo").UserPageType : 0;
			let teacherId = this.id;
			let img = this.teacher.teacherResult.TeacherLogo?this.teacher.teacherResult.TeacherLogo:'';
			let title = this.teacher.teacherResult.Name? '甲鹤日本语培训学校 '+ this.teacher.teacherResult.Name +"老师":'甲鹤日本语培训学校任教老师';
			return {
				title: title,
				query: "user_id=" + uid + "&SmallShopId=" + SmallShopId + "&Up=" + Up+ "&teacherId=" + teacherId,
				imageUrl: img,
			};
		},
		onShareAppMessage(res) {
			setTimeout(() => {
				// console.log("分享朋友调用");
				this.getReceive();
			}, 2500);
			let uid = uni.getStorageSync("mall_UserInfo") ?
				uni.getStorageSync("mall_UserInfo").UserId :
				0;
			if (uid == 0) {
				uid = uni.getStorageSync("pid") ? uni.getStorageSync("pid").pid : 0;
			}
			let SmallShopId = uni.getStorageSync("mall_UserInfo") ?
				uni.getStorageSync("mall_UserInfo").SmallShopId :
				0;
			if (SmallShopId == 0) {
				//如果微店id为0 去找所属微店id
				SmallShopId = uni.getStorageSync("mall_UserInfo") ?
					uni.getStorageSync("mall_UserInfo").UserSmallShopId :
					0;
			}
			let Up = uni.getStorageSync("mall_UserInfo") ? uni.getStorageSync("mall_UserInfo").UserPageType : 0;
			let teacherId = this.id;
			let img = this.teacher.teacherResult.TeacherLogo?this.teacher.teacherResult.TeacherLogo:'';
			let title = this.teacher.teacherResult.Name? '甲鹤日本语培训学校 '+ this.teacher.teacherResult.Name +"老师":'甲鹤日本语培训学校任教老师';
			return {
				title: title,
				path: "/pages/index/index?user_id=" + uid + "&SmallShopId=" + SmallShopId + "&Up=" + Up+ "&teacherId=" + teacherId +'&JumpType=10',
				imageUrl: img,
			};
		},
		created() {
			this.mc = this.$uiConfig.mainColor;
			this.pricecolor = this.$uiConfig.pricecolor;
			this.secondary = this.$uiConfig.secondary;
			this.nav = uni.getMenuButtonBoundingClientRect().top;
			this.paddingHTop = this.nav +'px';
			this.windowWidth = this.$utils.SystemInfo().windowWidth;
			this.headStyle.paddingTop = this.nav +'px';
		},
		methods:{
			clickDescription(e) {
			  console.log(e);
			},
			goback(){
				uni.navigateBack({})
			},
			init(){
				this.request2({
						url: '/api/AppletSchool/GetTeacherGoodsList',
						data: this.msg
					},
					res => {
						if (res.resultCode == 1) {
							this.g = this.g.concat(res.data.pageData);
							this.page_count = res.data.pageCount;
							if (this.page_count == 1) {
								this.status = "nomore";
							} else {
								this.status = "loadmore";
							}
						}
				
						uni.hideNavigationBarLoading();
					}
				);
			},
			getTeacher(){
				if(uni.getStorageSync("mall_UserInfo")){
					this.UserId = uni.getStorageSync("mall_UserInfo").UserId ? uni.getStorageSync("mall_UserInfo").UserId:0
				}
				this.request2({
						url: '/api/AppletSchool/GetTeacherModel',
						data: {ID: this.id,UserId:this.UserId }
					},
					res => {
						this.teacher= res.data;
						if(this.teacher.teacherResult.DynamicList && this.teacher.teacherResult.DynamicList.length>0){
							this.teacher.teacherResult.DynamicList.forEach(x=>{
								x.playshow = false;
							})
						}
						this.pageTitle = res.data.teacherResult.Name
					}
				);
			},
			clickHandler(item) {
			  uni.navigateTo({ url: "/pages/school/courseInfo?GoodsId=" + item.Id });
			},
			scrollHandler(e) {
			  this.scrollTop = e.detail.scrollTop;
			  //this.$forceUpdate();
			},
			scrollTopHandler() {
			  this.scrollTop = 0;
			},
			setFollowTeacher(type=0){//关注和取消老师
				this.u = uni.getStorageSync("mall_UserInfo");
				if (!this.u) {
				  this.u = {
					nickName: "未登录",
					avatarUrl: ""
				  };
				  this.showAuth = true;
				}else{
					this.followTeacher(type)
					
				}
			},
			followTeacher(type){
				this.request2({
						url: '/api/AppletEducation/GetFollowTeacher ',
						data: {
							ID: this.teacher.teacherResult.Followteacher,
							TeacherId:this.id,
						}
					},
					res => {
						let that =this
						uni.requestSubscribeMessage({
							tmplIds: res.data,
							complete(res) {
								that.request2({
										url: '/api/AppletSchool/GetTeacherModel',
										data: {ID: that.id,UserId:that.UserId }
									},
									res2 => {
										that.teacher.teacherResult.DynamicList = res2.data.teacherResult.DynamicList
										that.teacher.teacherResult.DynamicStatus = res2.data.teacherResult.DynamicStatus
										that.teacher.teacherResult.Followteacher = res2.data.teacherResult.Followteacher
										that.teacher.teacherResult.FollowteacherNum = res2.data.teacherResult.FollowteacherNum
									}
								);
							}
						})
						if(type==1){
							that.gourlfriend()
						}
						uni.showToast({
							title: res.message,
							icon: 'none',
							duration: 2000
						});
						
					}
				);
			},
			reloadUserinfo() {
			  this.u = uni.getStorageSync("mall_UserInfo");
			  this.getTeacher()
			},
			gob(){
				this.showAuth = false;
			},
			lower(e) {
				if (this.msg.pageIndex < this.page_count) {
					this.status = "loading";
					this.msg.pageIndex++;
					this.init();
				} else {
					
					this.status = "nomore";
				}
			},
			//图片预览
			previewImage(index, images) {
				uni.previewImage({
					urls: images,
					current: index,
				});
			},
			enlarge(file,i) {
				// 全屏
				innerAudioContext.stop();
				this.videoContext = uni.createVideoContext('myVideo'+i);
				this.videoContext.requestFullScreen({
					direction:0
				})
				
			},
			videoControl(e){
				if(e.detail.fullScreen==false){
					this.videoContext.stop()
					this.controls=false
				}else{
					this.videoContext.play()
					this.controls=true
				}
			},
			//语音播放
			playVoice(x,i) {
				let g = this.teacher.teacherResult.DynamicList
				if (innerAudioContext.src != x.files[0]) { //如果切换听其他的语音
					innerAudioContext.stop();
					this.nowbofo = false;
					g[this.playindex].playshow=false;
					this.playindex= i
				}else{
					this.playindex= i
				}
				innerAudioContext.src = x.files[0];
				if (this.nowbofo == false) {
					innerAudioContext.play()
					this.nowbofo = true
					g[i].playshow=true
					innerAudioContext.onEnded(()=>{
						innerAudioContext.stop()
						this.nowbofo == false
						this.g[this.playindex].playshow=false
					})
				} else {
					innerAudioContext.pause();
					this.nowbofo = false
					g[i].playshow=false
				}
			},
			getsplice(i){
				this.teacher.teacherResult.DynamicList.splice(i,1)
			},
			godetails(x,i){//跳入详情
				uni.navigateTo({
					url: '/pages/friendcircle/mydetails?ID=' + x.id+'&index='+i
				})
				innerAudioContext.stop();
			},
			seeMore(){//查看更多
				let DynamicStatus = this.teacher.teacherResult.DynamicStatus;
				if(DynamicStatus==1 || DynamicStatus==3){
					this.gourlfriend()
					
				}else if(DynamicStatus==4){
					this.showdelete=true
				}
			},
			gourlfriend(){//不关注直接去看动态
				uni.navigateTo({
					url: '/pages/friendcircle/friendcircle?ID=' + this.id +'&barshow=1'
				})
			},
			getReceive() {
				//分享进入调取领券接口
				// 1-分享，2-购买并付款
				this.request2({
						url: "/api/AppletUser/ShareCoupon",
						data: {
							TriggerType: 1,
						},
					},
					(res) => {
						console.log(res, "res");
						if (res.couponResultCode == 1) {
							this.couponMessage = res.couponMessage;
							this.showCoupons = true;
						}
						
					},
					(failed)=>{
						
					}
				);
			},
			goLook() {
				this.showCoupons = false;
			},
			closeBtn() {
				this.showCoupons = false;
			},

		}
	}
</script>

<style>
	.teacherDetails .headStatus {
		  overflow: hidden;
		  position: relative;
		  width: 140vw;
		  padding-right: 40vw;
		  padding-bottom: 10px;
		  position: fixed;
		  left: 0;
		  right: 0;
		  top: 0;
		  display: flex;
		  flex-direction: row;
		  align-items: center;
		  justify-content: space-between;
		 
		}
	.teacherDetails .course-top{
		width: 100%;
		height: 200px;
		background: rgba(167, 210, 200, 0.5);
	}
	.teacherDetails .goback{
		margin-left: 8px;
		position: fixed;
		top: 0;
		left: 0;
	}
	.teacherDetails .teacherbox{
		width: calc(100vw - 35px);
		display: flex;
		flex-direction: row;
		align-items: flex-start;
		padding-top: 80px;
		margin-left: 25px;
	}
	.teacherDetails .teacherbox-r{
		margin-left: 15px;
		width: calc(100vw - 120px);
		display: flex;
		flex-direction: column;
		
	}
	.teacherDetails .teacherbox-b{
		display: flex;
		flex-direction: row;
		flex-wrap: wrap;
	}
	.teacherDetails .teacher-b-item{
		padding: 2px 4px;
		border-radius: 2px;
		font-size: 10px;
		color: #FAF8F9;
		margin-right: 5px;
		margin-bottom: 5px;
	}
	.teacherDetails .teacher-b-item2{
		padding: 3px 6px;
		border-radius: 3px;
		font-size: 14px;
		color: #FAF8F9;
		margin-right: 8px;
		margin-bottom: 8px;
	}
	.teacherDetails .course-ti{
		width: 100%;
		height: 100px;
		background: #F5F6F7;
		margin-top: -20px;
		font-family: aa;
		border-top-right-radius: 20px;
		border-top-left-radius: 20px;
	}
	.teacherDetails .course-ti-c{
		display: flex;
		flex-direction: row;
		align-items: center;
		justify-content: space-around;
		padding-top: 15px;
	}
	.course-ti-cont2{
		width: 69px;
		height: 26px;
		display: flex;flex-direction: row;
		align-items: center;
		justify-content: center;
		font-size: 13px;
		color: #FFFFFF;
		border-radius: 4px;
	}
	.teacherDetails .course-ti-cont{
		display: flex;
		flex-direction: column;
		align-items: center;
		font-size: 15px;
		color: #121212;
	}
	.teacherDetails .huixin{
		font-size: 12px;
		color: #9A9A9A;
		margin-top: 10px;
	}
	.teacherDetails .kecheng{
		width: 100%;
		margin-top: -30px;
		background: #FFF;
		border-top-right-radius: 20px;
		border-top-left-radius: 20px;
		padding-top: 10px;
		margin-bottom: 20px;
	}
	.teacherDetails .tiaoti{
		width: 100%;
		height: 35px;
		display: flex;
		flex-direction: row;
		align-items: center;
		font-weight: bold;
	}
	.teacherDetails .tiaoti-l{
		width: 3px;
		height: 14px;
		margin-left: 12px;
		background-image: linear-gradient(
		  to bottom,
		  #00D6A6,
		  #B5FFEE
		);
	}
	.teacherDetails  .good{
		background: #fff;
		padding: 10px 13px;
		display: flex;
		flex-direction: row;
		font-family: aa;
		
	}
	.teacherDetails .good-r-b{
		font-size: 11px;
		color: #9A9A9A;
	}
	.teacherDetails .good-img{
	width: 125px;
	height: 70px;
	border-radius: 4px;
	box-shadow:0 4px 10px 1px #D2D2D2;
}
.teacherDetails .good-r{
	margin-left: 15px;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	padding: 3px;
}
.teacherDetails .good .good-name {
  /* height: 37px; */
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  margin-bottom: 3px;
  font-size: 14px;
  color: #1B1D1E;
  
}
.teacherDetails .arrow {
	  height: 24px;
	  margin: 5px 10px;
	  width: 24px;
	}
	.teacherDetails .u-empty{
		padding-top: 20px!important;
	}
	.teacherDetails .ftBox {
		width: 100%;
		padding: 0 15px;
		margin-top: 25px;
	}
	
	.teacherDetails .interDList {
		width: 100%;
		display: flex;
		flex-direction: row;
		align-items: flex-start;
	}
	
	.teacherDetails .interDList-left {
		width: 80px;
		display: flex;
		flex-direction: row;
		align-items: flex-end;
	}
	
	.teacherDetails .interDList-right {
		width: 1;
		flex: 1;
		font-size: 14px;
		color: #333333;
	}
	
	.teacherDetails .jiazu {
		font-size: 25px;
		color: #333333;
	}
	
	.teacherDetails .inter-r-o {
		width: 100%;
		padding: 10px;
		background: #F5F5F5;
		border-radius: 4px;
	}
	
	.teacherDetails .inter-r-t {
		width: 100%;
		display: flex;
		flex-direction: row;
		align-items: center;
		flex-wrap: wrap;
	
	}
	
	.teacherDetails .inter-r-t-l {
		width: 70px;
		height: 70px;
		border-radius: 4px;
		margin-right: 15px;
		overflow: hidden;
		display: flex;
		flex-direction: row;
		flex-wrap: wrap;
	}
	
	.teacherDetails .inter-r-t-r {
		width: 1;
		flex: 1;
		height: 70px;
		display: flex;
		flex-direction: column;
		justify-content: space-between;
	}
	
	.teacherDetails .inter-r-t-text {
		width: 100%;
		overflow: hidden;
		text-overflow: ellipsis;
		display: -webkit-box;
		-webkit-line-clamp: 2;
		-webkit-box-orient: vertical;
	}
	
	.teacherDetails .andiostyle {
		width: 100%;
		height: 27px;
		border-radius: 4px;
		padding: 0 15px;
		display: flex;
		background: #FFF;
		flex-direction: row;
		align-items: center;
		margin-top: 10px;
		justify-content: space-between;
	}
	
</style>
